Advanced Password Services (APS) API

Document ID : KB000098535
Last Modified Date : 30/05/2018
Show Technical Document Details
Introduction:
Customer is unable to locate APSCOM.DLL in the current shipping version.
Question:
I have been using the COM interface to the APS API. In 12.52, I don't see the COM wrapper component that used to be included with older versions. I am getting an exception because this APS COM component (APSCOM.DLL) is not present / installed. Where can I obtain it? Or, please provide an example of calling APS API (ChangePasssword) using COM.
Environment:
R12.52 and above
Answer:
The APS APSCOM.dll is no longer shipped with the product as of R12sp3.
The customer should engage CA Professional Services for assistance with APS API's.

The API samples we do have are installed on the Policy Server here: 

<install>\SiteMinder\samples\APSDMSWorkflow\APSDMSWorkflow.cpp 

<install>\CA\SiteMinder\APS_SDK - we also provide apsapi.h and dll for consumption